Bug 215571 - Review Request: heliodor - Beryl window decorator with Metacity theme support
Review Request: heliodor - Beryl window decorator with Metacity theme support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: 209259
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-14 12:30 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 15:55:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mock build log of heliodor 0.1.2-1 (61.34 KB, text/plain)
2006-11-15 23:22 EST, Mamoru TASAKA
no flags Details
Mock build log of heliodor 0.1.2-2 (57.40 KB, text/plain)
2006-11-17 02:05 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Jarod Wilson 2006-11-14 12:30:26 EST
Spec URL: http://wilsonet.com/packages/beryl/heliodor.spec
SRPM URL: http://wilsonet.com/packages/beryl/heliodor-0.1.2-1.fc6.src.rpm
Description:
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.

Heliodor is a gtk-window-decorator for use with beryl
that supports using Metacity themes.


Depends on beryl-core, submitted for FE-review under bug 209259.
Comment 1 Mamoru TASAKA 2006-11-15 23:22:52 EST
Created attachment 141338 [details]
Mock build log of heliodor 0.1.2-1

I cannot rebuild this by mockbuild on FC-devel i386.
Comment 2 Jarod Wilson 2006-11-16 18:46:51 EST
Here's an updated build with trimmed down BR:. It builds in FC6/x86_64 mock for
me, will double-check with devel builds tomorrow, if you don't beat me to it
(gotta run for the night).

http://wilsonet.com/packages/beryl/heliodor-0.1.2-2.fc6.src.rpm
Comment 3 Mamoru TASAKA 2006-11-17 02:05:32 EST
Created attachment 141451 [details]
Mock build log of heliodor 0.1.2-2

Umm.. still not okay on FC-devel i386.
Comment 4 Jarod Wilson 2006-11-17 14:37:38 EST
Okay, this is due to changes in metacity 2.17 in rawhide. The *_corner_rounded
bits were renamed to *_corner_rounded_radius. Easy enough to patch around. New
version builds in devel/x86_64 mock and on FC6/x86_64 for me:

http://wilsonet.com/packages/beryl/heliodor-0.1.2-3.fc6.src.rpm
Comment 5 Mamoru TASAKA 2006-11-18 09:28:44 EST
Well, this time mockbuild for FC-devel i386 is okay.

* Requires: metacity, control-center
  - Not necessary as libraries' dependency automaticall pulls
    them.

? /usr/share/gnome/wm-properties/
  - This directory is not owned by any package, however, I don't
    know which package should own this.
    (This package requires metacity, so my thought is that this
     should be metacity, however, do you have any idea?)

    Currently, my system has the following files under
    /usr/share/gnome/wm-properties/:
------------------------------------------
beryl.desktop     (by heliodor-0.1.2-3.fc7)
compiz.desktop    (by compiz-0.3.2-2.fc7)
metacity.desktop  (by metacity-2.17.2-1.fc7)
------------------------------------------

? For license:
  - lib/beryl-window-manager.c seems to be "free" (not GPL however
  less strict than GPL)
  - src/main.c says this is LGPL (not GPL) (why?)
  - and there is a copy license that this is GPL.....

  Well, however, I trust the document license and I assume that
  this package is licensed under GPL for now.

Other things are okay.

-------------------------------------------------------
  This packag (beliodor) is APPROVED by me.
Comment 6 Jarod Wilson 2006-11-20 16:51:47 EST
Thanks much! I've removed the Reqs: for the build I'll import, and the directory
ownership problem has been filed against metacity as bug 216514.

Note You need to log in before you can comment on or make changes to this bug.